#include "version.h"

/*
 * The following definitions are copied from the original version.template file.
 * And the version number is set to tesseroids-1.6 directly.
 * 
 * By Yi Zhang. 2021-05-05
*/

/* Current project version number */
const char tesseroids_version[] = "tesseroids-1.6";

/* Print version number*/
void print_version(const char* version_num)
{
    printf("%s", version_num);
}

/* Print a copyright notice */
void print_copyright()
{
    printf("\nPart of the Tesseroids package (v%s).\n", tesseroids_version);
    printf("\nProject site: <http://www.leouieda.com/tesseroids/>\n");
    printf("Report bugs at: ");
    printf("<https://github.com/leouieda/tesseroids/issues>\n");
    printf("\nCopyright (C) 2011-$YEAR, Leonardo Uieda.\n");
    printf("This software is distributed under the terms of the BSD License:\n");
    printf("<http://tesseroids.readthedocs.org/en/latest/license.html>\n");
    printf("This is free software: ");
    printf("you are free to change and redistribute it.\n");
    printf("There is NO WARRANTY, to the extent permitted by law.\n");
}